﻿public class UserInfo
{
    public string Token { get; set; }
    /// <summary>
    /// 用户Id
    /// </summary>
    public int Id { get; set; }
    /// <summary>
    /// 用户名
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// 客户Id
    /// </summary>
    public int CustomerId { get; set; }
    /// <summary>
    /// 登陆帐号
    /// </summary>
    public string LoginAccount { get; set; }
    /// <summary>
    /// 客户公司名
    /// </summary>
    public string CustomeCompanyName { get; set; }
    /// <summary>
    /// 电话
    /// </summary>
    public string Phone { get; set; }
    /// <summary>
    /// 邮箱
    /// </summary>
    public string Email { get; set; }
    /// <summary>
    /// 公司地址
    /// </summary>
    public string Stree { get; set; }
    /// <summary>
    /// 开户时间
    /// </summary>
    public DateTime CreateTime { get; set; }
    /// <summary>
    /// 是否管理员
    /// </summary>
    public bool IsAdmin { get; set; }
    /// <summary>
    /// 是否客户
    /// </summary>
    public bool IsCustomer { get; set; }
    /// <summary>
    /// 登陆系统
    /// </summary>
    public int UserSystem
    {
        get; set;
    }
    /// <summary>
    /// 登陆角色
    /// </summary>
    public string[] RoleNames { get; set; }

    /// <summary>
    /// 权限Url表
    /// </summary>
    public Menu[] Permissions
    {
        get; set;
    }

    public Menu[] Menus
    {
        get; set;
    }

    public string token { get; set; }
}

public class Menu
{
    public string Name
    {
        get; set;
    }

    public string Url
    {
        get; set;
    }
}
