﻿using SMP.Model.Compute;
using XYY.Core.Standard.Data.Infrastructure;
using Dapper;
namespace SMP.Data.Compute
{
    public interface ICompute_ExpenseItemCategoryRepository : IBaseRepository<Compute_ExpenseItemCategory>
    {
        Task<IEnumerable<ViewExpenseItemCategoryIdName>> QueryAllIdNames();
    }

    public class Compute_ExpenseItemCategoryRepository : BaseRepository<Compute_ExpenseItemCategory>, ICompute_ExpenseItemCategoryRepository
    {
        public Compute_ExpenseItemCategoryRepository(IUnitOfWork unitOfWork) : base(unitOfWork)
        {

        }

        public Task<IEnumerable<ViewExpenseItemCategoryIdName>> QueryAllIdNames()
        {
            string sql = "select Id,Name from Compute_ExpenseItemCategory nolock";
            return _unitOfWork.Connection.QueryAsync<ViewExpenseItemCategoryIdName>(sql, transaction: _unitOfWork.Transaction);
        }
    }
}