﻿using SMP.Model.Report;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard;
using XYY.Core.Standard.Data.Infrastructure;

namespace SMP.Data.Report
{
    public interface IView_GeneralCostRepository : IViewRepository<View_GeneralCost>
    {
        IEnumerable<View_GeneralCost> QueryAll(QueryModel queryModel);
    }

    public class View_GeneralCostRepository : ViewRepository<View_GeneralCost>, IView_GeneralCostRepository
    {
        public View_GeneralCostRepository(IUnitOfWork unitOfWork) : base(unitOfWork)
        {

        }

        public IEnumerable<View_GeneralCost> QueryAll(QueryModel queryModel)
        {
            var result = QueryAll(queryModel);
            return result;
        }
    }
}
