﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Model.Report
{
    public class View_OrderExpenseItemTotalAmountV2
    {
        public string Id { get; set; }
        public string SystemNo { get; set; }
        public string TrackingNumber { get; set; }
        public string LadingBillNumber { get; set; }
        public decimal OPWeight { get; set; }
        public string OrderChannelUniqueId { get; set; }
        public int PublicChannelId { get; set; }
        public int CustomerId { get; set; }
        public int ExpenseItemCategoryId { get; set; }
        public string ExpenseItemCategoryName { get; set; }
        public decimal OriginAmount { get; set; }
        public string OriginCurrency { get; set; }
        public decimal SettlementRate { get; set; }
        public decimal SettlementAmount { get; set; }
        public string SettlementCurrency { get; set; }

        public CostType CostType { get; set; }
        public DateTime? LastVersionDate { get; set; }

    }
}
