﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Core.Standard;

namespace SMP.Model.TimeTask
{
    public class Finance_TimeTask: BaseEntity
    {
        /// <summary>
        /// 任务状态
        /// 0：待读取
        /// </summary>
        public FinanceEnum TaskStatus { get; set; }
        public DateTime StartTime { get; set; }
        public DateTime EndTime { get; set; }
        public int RetryTotal { get; set; }
        public int RetryCount { get; set; }
        public int OrderCount { get; set; }
        public int LadingBillCount { get; set; }
        public bool? IsSucceed { get; set; }
        public string? ResultMessage { get; set; }
        public long? TimeConsuming { get; set; }
        public TaskTypeEnum TaskType { get; set; }
        /// <summary>
        /// 目前只有
        /// 在以提单口岸;独立计算
        /// 为执行依据时会有值
        /// </summary>
        public string? LadingBillNumber { get; set; }
        public string? ExpenseResultsJson { get; set; }
    }
}
