﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Service.OrderRangeQuery.Dto
{
    public class OrderRangeResultDto
    {
        public int RangeSettingId { get; set; }
        public string RangeSettingName { get; set; }
        public int OrderId { get; set; }
        public string SystemNo { get; set; }
        public int? CustomerId { get; set; }
        public string? CustomerName { get; set; }
        public int? PublicChannelId { get; set; }
        public string? PublicChannelName { get; set; }
        public int? CreateOrderChannelId { get; set; }
        public string? CreateOrderChannelName { get; set; }

        public int? ChannelId { get; set; }
        public string? ChannelName { get; set; }

        public DateTime? OrderTime { get; set; }
        public DateTime? ReceiveTime { get; set; }

        public DateTime? PackingTime { get; set; }
        public DateTime? SendOutTime { get; set; }

        public string LadingBillNumber { get; set; }
        public string BoxNumber { get; set; }
        public string TrackingNumber { get; set; }
        public string TransferNumber { get; set; }
    }
}
