﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Service.Reconcile.Dto
{
    public class ReconcileItem
    {
        public int Sort { get; set; }
        public string BillDataName { get; set; }
        public decimal? BillData { get; set; }
        public string SystemDataName { get; set; }
        public decimal? SystemData { get; set; }
        public decimal DiffAccurate { get; set; }
        public decimal Diff
        {
            get
            {
                return (BillData ?? 0m) - (SystemData ?? 0m);
            }
        }

        public bool IsDiff
        {
            get
            {
                return Math.Abs(Diff) > DiffAccurate;
            }
        }
    }
}
