﻿using SMP.Model.Report;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Service.Report.Dto
{
    public class GeneralCostV2Dto : View_GeneralCostV2
    {


        [DisplayName("客户名")]
        public string CustomerName { get; set; }

        [DisplayName("派送渠道")]
        public string DeliveryChannelName { get; set; }

        [DisplayName("下单渠道")]
        public string PublicChannelName { get; set; }

        [DisplayName("计费重量")]
        public decimal BillWeight { get { return OpWeight / 1000.00m; } }

        [DisplayName("总公司预计利润")]
        public decimal? HeadCompanyEstimateProfit { get {return CustomerAmount - TotalEstimateCost; } }
        [DisplayName("总公司实际利润")]
        public decimal? HeadCompanyActualProfit { get { return CustomerAmount - TotalBillCost; } }

    }
}
