﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Service.ServiceBillResolve.Dto
{
    public class ServiceBillResolveApplyDto
    {
        public string BillName { get; set; }
        public string Description { get; set; }
        public int SolutionId { get; set; }
        public string SolutionName { get; set; }
        public string BillFile { get; set; }
        public ResolveStatus Status { get; set; }
        public string StatusName { get { return Status.GetDescription(); } }
        public string Message { get; set; }
        public DateTime? FinishTime { get; set; }
        public string BillFileUrl { get; set; }
        public string BatchFileName { get; set; }
    }
}
