﻿using Microsoft.AspNetCore.Mvc;
using SMP.Model;
using SMP.Model.Compute;
using SMP.Service;
using SMP.Service.Compute;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using XYY.Common.Standard;

namespace SMP.Api.Base.Controllers.ExpenseItem
{
    [ApiController]
    [Route("[controller]")]
    public class QueryExpenseItemController : ControllerBase
    {
        private IComputeExpenseItemService _computeExpenseItemService;
        public QueryExpenseItemController(IComputeExpenseItemService computeExpenseItemService)
        {
            this._computeExpenseItemService = computeExpenseItemService;
        }
        [HttpGet]
        public async Task<IEnumerable<Compute_ExpenseItem>> Get(int? ServiceProviderId) => await _computeExpenseItemService.GetAll(ServiceProviderId);

    }
}
