﻿using Microsoft.AspNetCore.Mvc;
using SMP.Model;
using SMP.Service;
using XYY.Common.Standard;

namespace SMP.Api.Base.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class QueryRateController : ControllerBase
    {
        public QueryRateController(ISysRateService rateService)
        {
            RateService = rateService;
        }

        public ISysRateService RateService { get; }

        [HttpPost]
        public async Task<PageResult<Sys_Rate>> Post([FromBody] QueryModel model)
        {
            return await RateService.QueryRate(model);
        }
    }
}
