﻿using SMP.Model.Report;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard;
using XYY.Core.Standard.Data.Infrastructure;
using Dapper;
namespace SMP.Data.Report
{
    public interface IView_GeneralCostV2Repository : IViewRepository<View_GeneralCostV2>
    {
        IEnumerable<View_GeneralCostV2> QueryAll(QueryModel queryModel);
        Task<IEnumerable<View_GeneralCostV2>> QueryAllAsync(QueryModel queryModel);
    }

    public class View_GeneralCostV2Repository : ViewRepository<View_GeneralCostV2>, IView_GeneralCostV2Repository
    {
        public View_GeneralCostV2Repository(IUnitOfWork unitOfWork) : base(unitOfWork)
        {

        }

        public IEnumerable<View_GeneralCostV2>? QueryAll(QueryModel queryModel)
        {
            string sql = "SELECT * FROM View_GeneralCostV2 WHERE 1=1 ";
            if (queryModel?.QueryParamer.Any() == true)
            {
                string where = GetWhere(queryModel.QueryParamer);
                sql += where;
            }
            else
            {
                IEnumerable<View_GeneralCostV2> emptyResult = new List<View_GeneralCostV2>();
                return emptyResult;
            }
            var result = _unitOfWork.Connection.Query<View_GeneralCostV2>(sql, transaction:_unitOfWork.Transaction,commandTimeout:0);
            return result;
        }

        public Task<IEnumerable<View_GeneralCostV2>> QueryAllAsync(QueryModel queryModel)
        {
            string sql = "SELECT * FROM View_GeneralCostV2 WHERE 1=1 ";
            if (queryModel?.QueryParamer.Any() == true)
            {
                string where = GetWhere(queryModel.QueryParamer);
                sql += where;
            }
            else
            {
                IEnumerable<View_GeneralCostV2> emptyResult = new List<View_GeneralCostV2>();
                return Task.FromResult(emptyResult);
            }
            var result = _unitOfWork.Connection.QueryAsync<View_GeneralCostV2>(sql, transaction: _unitOfWork.Transaction, commandTimeout: 0);
            return result;
        }
    }
}
