﻿using SMP.Model.Report;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard;
using XYY.Core.Standard.Data.Infrastructure;
using Dapper;

namespace SMP.Data.Report
{
    public interface IView_OrderExpenseAmountRepository : IViewRepository<View_OrderExpenseAmount>
    {
        IEnumerable<View_OrderExpenseAmount> QueryAll(QueryModel queryModel);
    }

    public class View_OrderExpenseAmountRepository : ViewRepository<View_OrderExpenseAmount>, IView_OrderExpenseAmountRepository
    {
        public View_OrderExpenseAmountRepository(IUnitOfWork unitOfWork) : base(unitOfWork)
        {

        }

        public IEnumerable<View_OrderExpenseAmount> QueryAll(QueryModel queryModel)
        {

            string sql = "SELECT * FROM View_OrderExpenseAmount WHERE 1=1 ";
            if (queryModel?.QueryParamer.Any() == true)
            {
                string where = GetWhere(queryModel.QueryParamer);
                sql += where;
            }
            else
            {
                IEnumerable<View_OrderExpenseAmount> emptyResult = new List<View_OrderExpenseAmount>();
                return emptyResult;
            }
            var result = _unitOfWork.Connection.Query<View_OrderExpenseAmount>(sql, transaction:_unitOfWork.Transaction, commandTimeout:0);
            return result;

        }
    }
}
