﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard.Attributes;
using XYY.Core.Standard;

namespace SMP.Model.Compute
{
    public class Compute_ExpenseAmount : BaseEntity
    {
        public string Number { get; set; }
        public int ExpenseId { get; set; }
        public int ExpenseDetailId { get; set; }
        public int VersionId { get; set; }
        public int ExpenseItemId { get; set; }
        public DateTime TransactionTime { get; set; }
        public string Currency { get; set; }
        public decimal AmountinOriginalCurrency { get; set; }
        public decimal SettlementRate { get; set; }
        public string SettlementCurrency { get; set; }
        public decimal SettlementAmount { get; set; }
        public string FeeDescription { get; set; }
        /// <summary>
        /// 帐单类型 分摊来源  清数据使用
        /// </summary>
        public string BillTypeCode { get; set; }

        public CostType CostType { get; set; }
        public int? ServiceBillSpreadApplyId { get; set; }
        public string? LadingBillNumber { get; set; }
        public string Zone { get; set; }
        public bool IsDelete { get; set; }
        public SystemBillTypeEnum SystemBillType { get; set; }
    }
}
