﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard.Attributes;
using XYY.Core.Standard;

namespace SMP.Model.Compute
{
    public class Compute_ExpenseDetail : BaseEntity
    {

        public int ExpenseID
        {
            get; set;
        }

        public decimal Weight
        {
            get; set;
        }

        public int FormulaId
        {
            get; set;
        }

        public int VersionId
        {
            get; set;
        }

        public WeightType WeightType
        {
            get; set;
        }

        public WeightUnit WeightUnit
        {
            get; set;
        }

        public bool IsDelete
        {
            get; set;
        }

        /// <summary>
        /// 重量转克
        /// </summary>
        [NoDb]
        public int ToG
        {
            get; set;
        }

        [NoDb]
        public Compute_Formula? Formula
        {
            get; set;
        }

        [NoDb]
        public List<Compute_ExpenseDetailZone> ZoneValue
        {
            get; set;
        }
    }
}
