﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard.Attributes;
using XYY.Core.Standard;

namespace SMP.Model.Compute
{
    /// <summary>
    /// 费项模板
    /// </summary>
    public class Compute_ExpenseItemTemplate : BaseEntity
    {
        /// <summary>
        /// 模板名称
        /// </summary>
        public string Name
        {
            get; set;
        }

        /// <summary>
        /// 包含费项数量
        /// </summary>
        public int Qty
        {
            get; set;
        }

        public bool IsDelete
        {
            get; set;
        }

        /// <summary>
        /// 是否为类别模板
        /// </summary>
        public bool IsCategory
        {
            get; set;
        }

        /// <summary>
        /// 详情
        /// </summary>
        [NoDb]
        public List<Compute_ExpenseItemTemplateDetail> Details
        {
            get; set;
        }
    }
}
