﻿using SMP.Model.Finance;

namespace SMP.Model.Dto.Finance
{
    public class LadingBillDto: Finance_Logistics_LadingBill
    {
        public LadingBillDto() {
        }
        public IEnumerable<finances> finances { get; set; }
    }
    public class finances {
        public bool seeAllNotice=> false;
        public string footText=> "展开";
        public int IncidentalType { get; set; }
        public IEnumerable<QueryExpenseByLadingResult> ExpenseResult { get; set; }
    }
    #region 范围帐单使用
    /// <summary>
    /// 范围帐单数据记录
    /// </summary>
    public class ScopeSameInfo 
    {
        public ScopeSameInfo() {
            LadingBillIds = new List<int>();
        }
        public int ExpenseItemId { get; set; }
        public List<int> LadingBillIds { get; set; }
    }
    public class SameScopeBill
    {
        public SameScopeBill() { Orders = new List<Logistisc_Order>(); }
        public int LadingBillId { get; set; }
        public Finance_Logistics_LadingBill bill { get; set; }
        public List<Logistisc_Order> Orders { get; set; }
    }
    #endregion
}
