﻿using System.ComponentModel;

namespace SMP.Model.Enums
{
    /// <summary>
    /// 口岸类型
    /// </summary>
    public enum PortType
    {
        /// <summary>
        /// 出发口岸
        /// </summary>
        [Description("出发口岸")]
        Origin = 1,
        /// <summary>
        /// 目的口岸
        /// </summary>
        [Description("目的口岸")]
        Destination = 2
    }
}
