﻿using SMP.Model.Enums;
using XYY.Common.Standard.Attributes;
using XYY.Core.Standard;

namespace SMP.Model.Finance
{
    public class Finance_Incidental : BaseEntity
    {
        /// <summary>
        /// ExpenseItem Id关联
        /// </summary>
        public int ExpenseItemId
        {
            get; set;
        }
        public int ExpenseId
        {
            get; set;
        }
        public int VersionId { get; set; }

        public int LadingBillId
        {
            get; set;
        }

        public bool IsDeleted
        {
            get; set;
        }
        public string? IncidentalCurrency { get; set; }

        [NoDb]
        public decimal IncidentalFee
        {
            get; set;
        }
    }
}
