﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Core.Standard;

namespace SMP.Model.Finance
{
    public class Finance_OrderQuerySetting : BaseEntity
    {
        public string Name { get; set; }
        public string CustomerIds { get; set; }
        public string PublicChannelIds { get; set; }
        public string DeliveryChannelIds { get; set; }
        public TimeNode? TimeNode { get; set; }
        public DateTime? From { get; set; }
        public DateTime? To { get; set; }
        public NumberType? NumberType { get; set; }
        public string Numbers { get; set; }
        public bool? IsExecuted { get; set; }
        public OrderRangeQueryStatus Status { get; set; }
        public string Message { get; set; }

        public DateTime? ExecutedTime { get; set; }
        public int? TotalCount { get; set; }
        public bool Deleted { get; set; }
        public string? NotCustomerIds { get; set; }

    }
}
