﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Core.Standard;

namespace SMP.Model.Finance
{
    public class Finance_ServiceBillResolveResult : BaseEntity
    {
        public int ApplyId { get; set; }
        public int SolutionId { get; set; }
        public string BillName { get; set; }
        public int RuleId { get; set; }
        public string Number { get; set; }
        public string SystemNo { get; set; }
        public string BillDataName { get; set; }
        public decimal Data { get; set; }
        public ServiceBillDataType DataType { get; set; }
        public NumberType NumberType { get; set; }

        public string Currency { get; set; }
        /// <summary>
        /// 账单类型名称，用于记录是哪种类型的账单
        /// </summary>
        public string BillTypeCode { get; set; }
        public DateTime? BillTime { get; set; }
        public int ServiceProviderId { get; set; }


    }
}
