﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Core.Standard;

namespace SMP.Model.Finance
{
    public class Finance_ServiceBillResolveSolutionRule : BaseEntity
    {
        public string RuleName { get; set; }
        public int SolutionId { get; set; }
        public string SheetPattern { get; set; }

        public string NumberAddressPattern { get; set; }
        public string NumberResolveRegx { get; set; }

        public string DataName { get; set; }
        public bool DataUseRegx { get; internal set; }
        public string DataAddressPattern { get; set; }
        
       
        
        public string FeeNameAddressPattern { get; set; }

        public string Currency { get; set; }

        public BillListingStyle ListingType { get; set; }
        public NumberType NumberType { get; set; }

        public bool SetBillTimeOnResolve { get; set; }
        public string BillTimeAddressPattern { get; set; }
        public bool Deleted { get; set; }
    }
}
