﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard.Attributes;

namespace SMP.Model.Finance
{
    public class Logistisc_Order
    {
        public int Id { get; set; }
        /// <summary>
        /// 订单唯一码
        /// </summary>
        public string SystemNo { get; set; }
        
        public string? LadingBillNumber { get; set; }
        public string? BoxNumber { get; set; }
        public decimal? Length { get; set; }
        public decimal? Width { get; set; }
        public decimal? Height { get; set; }
        public int OPWeight { get; set; }
        public int CustomerId { get; set; }
        public string? CustomerName { get; set; }
        public string? TrackingNumber { get; set; }
        public DateTime OrderTime { get; set; }

        public string ReceiverCountryCode { get; set; }
        public string? ReceiverCountryName { get; set; }
        public string? ReceiverZipCode { get; set; }
        public string? ReceiverState { get; set; }
        public string ReceiverCity { get; set; }
        public string ReceiverStreet { get; set; }
        public string OrderChannelUniqueId { get; set; }

        public string PublicChannelId { get; set; }
        public string? TransferNumber { get; set; }
        public DateTime? ReceiveTime { get; set; }
        public DateTime? PackingTime { get; set; }
        public DateTime? SendOutTime { get; set; }
        public decimal? DeclareFee { get; set; }
        public string? IOSS { get; set; }

        [NoDb]
        public decimal WeightRate { get; set; }
        [NoDb]
        public string Port { get; set; } = "";

    }
}
