﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Model.Report
{
    public class View_GeneralCost
    {


        [DisplayName("ID")]
        public string Id { get; set; }

        [DisplayName("系统单号")]
        public string? SystemNo { get; set; }

        [DisplayName("运单号")]
        public string? TrackingNumber { get; set; }

        [DisplayName("转单号")]
        public string? TransferNumber { get; set; }

        [DisplayName("箱号")]
        public string? BoxNumber { get; set; }

        [DisplayName("提单号")]
        public string? LadingBillNumber { get; set; }

        [DisplayName("客户ID")]
        public int? CustomerId { get; set; }

        [DisplayName("客户名称")]
        public string? ReceiverCountryCode { get; set; }

        [DisplayName("渠道ID")]
        public string? OrderChannelUniqueId { get; set; }

        [DisplayName("公开渠道ID")]
        public string? PublicChannelId { get; set; }

        [DisplayName("下单时间")]
        public DateTime? OrderTime { get; set; }

        [DisplayName("揽收时间")]
        public DateTime? ReceiveTime { get; set; }

        [DisplayName("装箱时间")]
        public DateTime? PackingTime { get; set; }

        [DisplayName("发货时间")]
        public DateTime? SendOutTime { get; set; }

        [DisplayName("预估总成本")]
        public decimal? EstimateSettleAmount { get; set; }

        [DisplayName("账单总成本")]
        public decimal? BillSettleAmount { get; set; }


        [DisplayName("所属公司")]
        public CompanyPossessEnum CompanyPossess { get; set; }

        public decimal Weight { get; set; }
    }
}
