﻿using SMP.Model.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Model.Report
{
    public class View_OrderExpenseItemCategoryAmount
    {
        public string Id { get; set; }
        public string SystemNo { get; set; }
        public string TrackingNumber { get; set; }
        public string TransferNumber { get; set; }
        public string BoxNumber { get; set; }
        public string LadingBillNumber { get; set; }
        public string CustomerId { get; set; }
        public string ReceiverCountryCode { get; set; }
        public string OrderChannelUniqueId { get; set; }
        public string PublicChannelId { get; set; }
        public DateTime? OrderTime { get; set; }
        public DateTime? ReceiveTime { get; set; }
        public DateTime? PackingTime { get; set; }
        public DateTime? SendOutTime { get; set; }
        public decimal? OPWeight { get; set; }

        public int ExpenseItemCategoryId { get; set; }
        public string ExpenseItemCategoryName { get; set; }
        public decimal SettlementAmount { get; set; }
        public CostType CostType { get; set; }
        public DateTime? LastVersionDate { get; set; }
    }

    /// <summary>
    /// 订单费项总金额,不包含订单信息
    /// </summary>
    public class View_OrderExpenseItemCategoryAmountSimple
    {
        
        public string SystemNo { get; set; }
        public int ExpenseItemCategoryId { get; set; }
        public decimal SettlementAmount { get; set; }
        public DateTime? LastVersionDate { get; set; }
    }
}
