﻿using SMP.Data;
using SMP.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Service
{
    #region Iservices
    public interface ISys_LogService
    {
        Task<long> Create(Sys_Log model);
    }
    #endregion
    #region services
    public class Sys_LogService: ISys_LogService
    {
        ISys_LogRepository _repository;

        public Sys_LogService(ISys_LogRepository repository)
        {
            _repository = repository;
        }
        public async Task<long> Create(Sys_Log model)
        {
            return await _repository.InsertAsync(model);
        }
    }
    #endregion
}
