﻿using SMP.Model.Report;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Service.Report.Dto
{
    public class GeneralCostDto: View_GeneralCost
    {


        [DisplayName("客户名")]
        public string CustomerName { get; set; }

        [DisplayName("派送渠道")]
        public string DeliveryChannelName { get; set; }

        [DisplayName("下单渠道")]
        public string PublicChannelName { get; set; }


        [DisplayName("所属公司")]
        public String CompanyPossessName { get { return CompanyPossess.GetDescription(); } }


        [DisplayName("计费重量")]
        public decimal BillWeight { get { return Weight / 1000.00m; } }


        [DisplayName("客户费用")]
        public decimal? CustomerAmount { get; set; }
        [DisplayName("分公司结算价")]
        public decimal? BranchCompanyAmount { get; set; }
        [DisplayName("分公司利润")]
        public decimal? BranchCompanyProfit { get; set; }
        [DisplayName("总公司预计利润")]
        public decimal? HeadCompanyEstimateProfit { get; set; }
        [DisplayName("总公司实际利润")]
        public decimal? HeadCompanyActualProfit { get; set; }

    }
}
