﻿using NPOI.SS.UserModel;
using SMP.Model.Enums;
using SMP.Model.Finance;
using SMP.Service.ServiceBillResolve.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SMP.Service.ServiceBillResolve
{
    public interface IServiceBillResover
    {
        public string ResolverName { get;  }
        List<ServiceBillResolveResult> ResolveRule(IWorkbook workbook,ISheet sheet, Finance_ServiceBillResolveSolutionRule rule);
        string GetDefaultNumberRegex(NumberType numberType);

        
    }
}
