﻿using Microsoft.AspNetCore.Mvc;
using SMP.Model;
using SMP.Model.Compute;
using SMP.Service;
using SMP.Service.Compute;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using XYY.Common.Standard;

namespace SMP.Api.Base.Controllers.ExpenseItem
{
    [ApiController]
    [Route("[controller]")]
    public class QueryExpenseItemDetailController : ControllerBase
    {
        private IComputeExpenseItemService _computeExpenseItemService;
        public QueryExpenseItemDetailController(IComputeExpenseItemService computeExpenseItemService)
        {
            this._computeExpenseItemService = computeExpenseItemService;
        }
        [HttpPost]
        public async Task<PageResult<View_ComputeExpreseItemDetail>> Query(QueryModel model) => await _computeExpenseItemService.QueryComputeExpenseItem(model);
    }
}
